Hi,

I've put together RPMs of the latest versions of Ruby: 1.6.8,
1.8.0-preview1 and the current 1.8.0 snapshot. They were compiled on a
Red Hat Linux 7.3 system, but should work well elsewhere.

Ruby 1.6.8
----------

binaries:

http://www.caliban.org/files/redhat/RPMS/i386/ruby-1.6.8-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-libs-1.6.8-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-devel-1.6.8-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-tcltk-1.6.8-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-docs-1.6.8-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-mode-1.6.8-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-mode-xemacs-1.6.8-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/irb-1.6.8-1.i386.rpm

source:

http://www.caliban.org/files/redhat/SRPMS/ruby-1.6.8-1.src.rpm


Ruby 1.8.0-preview1
-------------------

binaries

http://www.caliban.org/files/redhat/RPMS/i386/ruby-1.8.0preview1-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-libs-1.8.0preview1-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-devel-1.8.0preview1-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-tcltk-1.8.0preview1-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-docs-1.8.0preview1-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-mode-1.8.0preview1-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-mode-xemacs-1.8.0preview1-1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/irb-1.8.0preview1-1.i386.rpm

source:

http://www.caliban.org/files/redhat/SRPMS/ruby-1.8.0preview1-1.src.rpm


Ruby 1.8.0-snapshot-20021231
----------------------------

binaries:

http://www.caliban.org/files/redhat/RPMS/i386/ruby-1.8.0-0.20021231.1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-libs-1.8.0-0.20021231.1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-devel-1.8.0-0.20021231.1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-tcltk-1.8.0-0.20021231.1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-docs-1.8.0-0.20021231.1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-mode-1.8.0-0.20021231.1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/ruby-mode-xemacs-1.8.0-0.20021231.1.i386.rpm
http://www.caliban.org/files/redhat/RPMS/i386/irb-1.8.0-0.20021231.1.i386.rpm

source:

http://www.caliban.org/files/redhat/SRPMS/ruby-1.8.0-0.20021231.1.src.rpm

Other RPMs at this location include a version of VIM 6.1 with Ruby
interpreter support enabled, plus the latest Ruby syntax, indent and
plugin files. There are also RPMs of ri, mod_ruby, eruby and many
libraries from the RAA that I have packaged over the last year.

Happy New Year,

Ian
-- 
Ian Macdonald               | Serving coffee on aircraft causes
ian / caliban.org             | turbulence. 
                            | 
                            | 
                            |